<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <include
        android:id="@+id/titleBarLayout"
        layout="@layout/include_base_title" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/noStarTagViewStyle"
                    android:text="案卷编号" />

                <TextView
                    android:id="@+id/caseNumberView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/noStarTagViewStyle"
                    android:text="处理状态" />

                <TextView
                    android:id="@+id/caseHandleStatusView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/noStarTagViewStyle"
                    android:text="案卷类型" />

                <TextView
                    android:id="@+id/caseTypeView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/noStarTagViewStyle"
                    android:text="案卷大类" />

                <TextView
                    android:id="@+id/caseLargeTypeView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/noStarTagViewStyle"
                    android:text="案卷小类" />

                <TextView
                    android:id="@+id/caseSmallTypeView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/noStarTagViewStyle"
                    android:text="社\u3000\u3000区" />

                <TextView
                    android:id="@+id/caseCommunityView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/noStarTagViewStyle"
                    android:text="案卷地点" />

                <TextView
                    android:id="@+id/casePlaceView"
                    style="@style/detailTextViewStyle"
                    android:layout_toStartOf="@id/locationMapView" />

                <ImageView
                    android:id="@+id/locationMapView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="@dimen/margin_10dp"
                    android:src="@drawable/ic_map" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/noStarTagViewStyle"
                    android:text="案卷情况" />

                <TextView
                    android:id="@+id/caseSituationView"
                    style="@style/detailTextViewStyle" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    style="@style/noStarTagViewStyle"
                    android:text="案卷图片" />

                <GridView
                    android:id="@+id/casePicGridView"
                    style="@style/gridViewStyle"
                    android:layout_marginStart="100dp"
                    android:horizontalSpacing="5dp"
                    android:numColumns="2" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout
                android:id="@+id/caseHandleResultLayout"
                style="@style/itemLayoutStyle">

                <TextView
                    style="@style/tagTextViewStyle"
                    android:text="处理结果" />

                <TextView
                    android:id="@+id/caseHandleResultView"
                    style="@style/selectTextViewStyle"
                    android:layout_toStartOf="@id/i"
                    android:hint="请选择" />

                <ImageView
                    android:id="@+id/i"
                    style="@style/rightImageStyle"
                    android:src="@drawable/ic_right" />
            </RelativeLayout>

            <View
                android:id="@+id/line1"
                android:layout_width="match_parent"
                android:layout_height="@dimen/lineViewHeight"
                android:background="@color/darkGray" />

            <RelativeLayout
                android:id="@+id/imageLayout"
                style="@style/itemLayoutStyle">

                <TextView
                    style="@style/noStarTagViewStyle"
                    android:text="处理图片" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/handleGridView"
                    style="@style/gridViewStyle"
                    android:layout_marginStart="100dp" />
            </RelativeLayout>

            <View
                android:id="@+id/line2"
                android:layout_width="match_parent"
                android:layout_height="@dimen/lineViewHeight"
                android:background="@color/darkGray" />

            <RelativeLayout
                android:id="@+id/reasonLayout"
                style="@style/itemLayoutStyle">

                <TextView
                    style="@style/noStarTagViewStyle"
                    android:text="申请理由" />

                <EditText
                    android:id="@+id/caseReasonView"
                    style="@style/inputEditTextStyle"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="100dp"
                    android:background="@null"
                    android:hint="请输入申请理由"
                    android:padding="3dp" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <LinearLayout
                android:id="@+id/punishLayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <RelativeLayout
                    android:id="@+id/punishHandleLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/tagTextViewStyle"
                        android:text="处罚类型" />

                    <TextView
                        android:id="@+id/punishTypeView"
                        style="@style/selectTextViewStyle"
                        android:layout_toStartOf="@id/ii"
                        android:hint="请选择" />

                    <ImageView
                        android:id="@+id/ii"
                        style="@style/rightImageStyle"
                        android:src="@drawable/ic_right" />
                </RelativeLayout>

                <include layout="@layout/line" />

                <RelativeLayout
                    android:id="@+id/opinionLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/tagTextViewStyle"
                        android:text="处罚意见" />

                    <EditText
                        android:id="@+id/punishOpinionView"
                        style="@style/inputEditTextStyle"
                        android:layout_marginStart="100dp"
                        android:background="@null"
                        android:hint="请输入少于50个字的案卷情况描述"
                        android:maxLength="50"
                        android:padding="3dp" />
                </RelativeLayout>

                <include layout="@layout/line" />

                <RelativeLayout style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/noStarTagViewStyle"
                        android:text="处罚图片" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/punishGridView"
                        style="@style/gridViewStyle"
                        android:layout_marginStart="100dp" />
                </RelativeLayout>

                <include layout="@layout/line" />

                <RelativeLayout style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/tagTextViewStyle"
                        android:text="处罚时间" />

                    <TextView
                        android:id="@+id/punishDateView"
                        style="@style/detailTextViewStyle" />
                </RelativeLayout>

                <include layout="@layout/line" />
            </LinearLayout>

            <RelativeLayout
                android:id="@+id/handleLayout"
                style="@style/itemLayoutStyle">

                <TextView
                    style="@style/noStarTagViewStyle"
                    android:text="处理记录" />

                <ImageView
                    style="@style/rightImageStyle"
                    android:src="@drawable/ic_right_64" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/submitButton"
                style="@style/roundButtonStyle"
                android:layout_margin="30dp"
                android:text="提交" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>